Subiject: Stop using deprecated functions

Description

Update usages of deprecated functions, e.g.:

- $GLOBALS['LANG']->JScharCode() => GeneralUtility::quoteJSvalue() See here = #55009
- FormEngine->isDisplayCondition() => Use \TYPO3\CMS\Backend\Form\ElementConditionMatcher instead. See #46461.
Basically follow this code:
1publicfunctionisDisplayCondition($displayCond, $row, $ffValueKey = ") {2GeneralUtility::logDeprecatedFunction();3/** @var
$elementConditionMatcher \TYPO3\CMS\Backend\Form\ElementConditionMatcher */4$elementConditionMatcher = GeneralUtility
::makelnstance('TYPO3\CMS\\Backend\\Form\\ElementConditionMatcher');5return$elementConditionMatcher->match($displayCond,
$row, $ffValueKey);6 }
- includeTCA() =>
- set in a condition for 6.0 and older
- For 6.1 and newer:
- If at the place where we would call include TCA(), $GLOBALS['TCA"|['pages'lis set: just leave out the call and do nothing.
- Otherwise call \TYPO3\CMS\Frontend\Utility\EidUtility::initTCA(). See #47993.

Related issues:
related to Advanced Frontend Editing - Bug # 56153: 6.2 Compatibility Changes Closed 2014-02-20

Associated revisions

Revision 6758b1f4 - 2014-08-05 11:20 - Chris topher

[TASK] Stop using deprecated functions

Replace usages of the following functions with their new equivalent:
- $GLOBALS['LANG"->JScharCode() => t3lib_div::quoteJSvalue()
- FormEngine->isDisplayCondition() => ElementConditionMatcher->match()
- Call $TSFE->includeTCA() only when needed

Change-Id: 1636005214d8f42630aaa4681b070b43c13f2d29e

Resolves: #60776
Reviewed-on: http://review.typo3.0rg/31996

Reviewed-by: Chris topher <chrissitopher@gmx.de>

Tested-by: Chris topher <chrissitopher@gmx.de>

History

#1 - 2014-08-04 21:57 - Chris topher
- Description updated

#2 - 2014-08-05 11:10 - Gerrit Code Review

- Status changed from New to Under Review
Patch set 1 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.
It is available at http://review.typo3.org/31996

#3 - 2014-08-05 11:18 - Chris topher
- Status changed from Under Review to New

The patch solves all deprecations up to TYPOS3 6.2.

One deprecation still remains on my system, but that is another issue:
Opening the edit window for a CE raises this warning multiple times:

The way registering a wizard in TCA has changed in 6.2.
Please set module[name]=module_name instead of using script=path/to/sctipt.php in your TCA.
The possibility to register wizards this way will be removed in 2 versions.

These warnings come from wizard_colorpicker.php, not the one coming with TYPO3, but from the one, which is coming with the extension
bootstrap_package. The necessary changes (#56279) have already been done in
https://github.com/benjaminkott/bootstrap package/commit/d97a9d43701800d91e4a53f3367bcfcd46179b02 .

#4 - 2014-08-05 11:21 - Chris topher
- Target version set to 1.6.0

#5 - 2014-08-05 11:35 - Chris topher

- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6758b1f4bfd3a5c47e299ec609c367cda8cc7e6b.

#6 - 2014-08-06 11:21 - Chris topher

- Assigned To set to Chris topher

#7 - 2014-08-06 12:06 - Chris topher
- Status changed from Resolved to Closed
